<div nz-row nzGutter="4" style="text-align: center;">
    <!-- DEFEND BUTTONS -->
    <div nz-col nzXs="24" nzSm="8" nzLg="8" *ngIf="!battle.winnerId">
        <button nz-button [nzLoading]="isLoading" nz-tooltip="{{ 'Military.Battles.fightOnce' | translate }}" [disabled]="isLoading" nzSize="large"
            style="background-color: #082fcb; border-color: #082fcb; margin-bottom: 3px;" nzType="primary" nzShape="round"
            (click)="fight(battle?.defenderCountry?.id, false)">
            <i class="fa-solid fa-gun"></i>
        </button>
        <br />
        <button nz-button [nzLoading]="isLoading" style="background-color: #082fcb; border-color: #082fcb;"
            nz-tooltip="{{ 'Military.Battles.fightUntilEnd' | translate }}" nzShape="round" [disabled]="shouldFightInfinite || isLoading" nzSize="large"
            nzType="primary" (click)="fightInfiniteClick(battle?.defenderCountry?.id, false)">
            <i class="fa-solid fa-gun" style="margin-right: 3px"></i> <i class="fa-solid fa-infinity"></i>
        </button>
    </div>

    <div nz-col nzXs="24" nzSm="8" nzLg="8">
        <div nz-row nzGutter="4" *ngIf="isCitizen && !battle.winnerId">
            <!-- WELLNESS PACK -->
            <div nz-col nzXs="12" nzSm="12" nzLg="6">
                <button nz-button [nzLoading]="isLoading" nz-tooltip="{{ 'Military.Battles.buyWellnessPack' | translate }}" nzShape="round" nzSize="large"
                    [disabled]="isLoading">
                    <a nz-popconfirm nzPopconfirmTitle="{{ 'Military.Battles.rySurebuyWellnessPack' | translate }}"
                        nzPopconfirmPlacement="bottom" (nzOnConfirm)="useWellnessPack()">
                        <i class="fas fa-shopping-basket"></i>
                    </a>
                </button>
            </div>
            <!-- JUICES -->
            <div nz-col nzXs="12" nzSm="12" nzLg="6">
                <button nz-button [nzLoading]="isLoading" nz-tooltip="{{ 'Military.Battles.useJuice' | translate }}" nzShape="round"
                    style="margin-bottom: 3px;" (click)="useJuice()" [disabled]="isLoading" nzSize="large">
                    <i class="fa-solid fa-bottle-droplet"></i>
                </button>

                <br />
                <button nz-button [nzLoading]="isLoading" nz-tooltip="{{ 'Military.Battles.selectJuiceQuality' | translate }}" nzShape="round"
                    [disabled]="isLoading">
                    <a nz-dropdown [nzDropdownMenu]="menu">
                        <span style="color: gold" innerHtml="{{ juice.quality | q }}"></span>
                    </a>
                </button>
                <nz-dropdown-menu #menu="nzDropdownMenu">
                    <ul nz-menu nzSelectable>
                        <li nz-menu-item *ngFor="let item of juices" (click)="juiceSelected(item)">
                            {{ item.amount }}
                            <nz-tag nzColor="default">
                                <span style="color: gold" innerHtml="{{ item.quality | q }}"></span>
                            </nz-tag>
                        </li>
                    </ul>
                </nz-dropdown-menu>
            </div>
            <!-- WEAPONS -->
            <div nz-col nzXs="12" nzSm="12" nzLg="6">
                <button nz-button [nzLoading]="isLoading" disabled nzShape="round" style="margin-bottom: 3px;" nzSize="large">
                    <i class="fa-solid fa-person-rifle"></i>
                </button>

                <br />
                <button nz-button [nzLoading]="isLoading" nz-tooltip="{{ 'Military.Battles.selectWeaponQuality' | translate }}" nzShape="round">
                    <a nz-dropdown [nzDropdownMenu]="weaponMenu">
                        <span style="color: gold" innerHtml="{{ weaponQuality | q }}"></span>
                    </a>
                </button>
                <nz-dropdown-menu #weaponMenu="nzDropdownMenu">
                    <ul nz-menu nzSelectable>
                        <li nz-menu-item (click)="weaponSelected({ quality: -1 })">
                            <nz-tag nzColor="default"> {{ 'Military.Battles.noWeapon' | translate }} </nz-tag>
                        </li>
                        <li nz-menu-item *ngFor="let item of weapons" (click)="weaponSelected(item)">
                            {{ item.amount }}
                            <nz-tag nzColor="default">
                                <span style="color: gold" innerHtml="{{ item.quality | q }}"></span>
                            </nz-tag>
                        </li>
                    </ul>
                </nz-dropdown-menu>
            </div>
            <!-- HOSPITAl -->
            <div nz-col nzXs="12" nzSm="12" nzLg="6">
                <button nz-button [nzLoading]="isLoading" nzShape="round" [disabled]="hospitalQuality < 1 || isLoading"
                    style="margin-bottom: 3px;" nz-tooltip="{{ 'Military.Battles.useRegionHospital' | translate }}" (click)="useHospital()" nzSize="large">
                    <i class="fa-regular fa-hospital"></i>
                </button>
                <button *ngIf="hospitalQuality > 0" nz-button [nzLoading]="isLoading" nzShape="round">
                    <span style="color: gold" innerHtml="{{ hospitalQuality | q }}"></span>
                </button>
            </div>
        </div>
    </div>

    <!-- ATTACK BUTTONS -->
    <div nz-col nzXs="24" nzSm="8" nzLg="8" *ngIf="!battle.winnerId">
        <button nz-button [nzLoading]="isLoading" nz-tooltip="Fight once" [disabled]="isLoading" nzSize="large"
            style="background-color: rgba(214, 44, 44); border-color: rgba(214, 44, 44); margin-bottom: 3px;" nzShape="round" nzType="primary"
            (click)="fight(battle?.attackerCountry?.id)">
            <i class="fa-solid fa-gun"></i>
        </button>
        <br />
        <button nz-button [nzLoading]="isLoading" [disabled]="shouldFightInfinite || isLoading" nzSize="large"
            nz-tooltip="Fight until end of wellness" nzShape="round" style="background-color: rgba(214, 44, 44);border-color: rgba(214, 44, 44)" nzType="primary"
            (click)="fightInfiniteClick(battle?.attackerCountry?.id)">
            <i class="fa-solid fa-gun" style="margin-right: 3px"></i> <i class="fa-solid fa-infinity"></i>
        </button>
    </div>
</div>
